Skip to content

getMemos

READ

Get memos.

POST /api/v1/invoicing/getMemos
curl -X POST '<your-host>/api/v1/invoicing/getMemos' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "amount": 0,
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "currencyCode": "string",
      "customerId": "string",
      "customFields": "…",
      "direction": "Credit",
      "exchangeRate": 0,
      "id": "string",
      "journalId": "string",
      "memoDate": "string",
      "memoId": "string",
      "notes": "string",
      "postedAt": "string",
      "postedBy": "string",
      "postingDate": "string",
      "purchaseReturnOrderId": "string",
      "reasonAccount": "string",
      "reference": "string",
      "salesReturnOrderId": "string",
      "status": "Draft",
      "supplierId": "string",
      "updatedAt": "string",
      "updatedBy": "string",
      "voidedAt": "string",
      "voidedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType
"Credit""Debit"
"Draft""Posted""Voided"

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        },
        "direction": {
          "type": [
            "string",
            "null"
          ],
          "enum": [
            "Credit",
            "Debit"
          ]
        },
        "status": {
          "type": [
            "string",
            "null"
          ],
          "enum": [
            "Draft",
            "Posted",
            "Voided"
          ]
        },
        "counterpartyIds": {
          "type": [
            "array",
            "null"
          ],
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}